<?php
define('NTOP', 1);
$title = 'Управление жалобами';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('../str/head.php');
reg();
level(2);
switch($act){		
	default:
echo '<div class="title2">Жалобы на сайты</div>';
$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_comments`"));
if($count > 0){
						$total=intval(($count-1)/$page_sait)+1; 
						$page = (isset($_GET['page'])) ? abs(intval($_GET['page'])) : ''; 
						if(empty($page) OR $page < 0)
							{
								$page = 1; 
							}
						if($page > $total)
							{
								$page = $total; 
							}
						$past=intval($count/$page_sait);  
						$start=$page*$page_sait-$page_sait; 
						$saits = mysql_query("SELECT * FROM `".$prefix."sait_comments` ORDER BY `id` ASC LIMIT ".$start.",".$page_sait."");
						while($row = mysql_fetch_array($saits)) {
								$ro = mysql_fetch_array(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$row['id_sait']."'"));
								$start++;
echo '<div class="topni">'.$start.'. <a href="/out.php?id='.$ro['id'].'"><b>'.$ro['url'].'</b></a> <small>('.$ro['hosts'].'/'.$ro['hits'].'';
//echo ($row['hits'] > 999 ? round($row['hits']/1000).'К' : $row['hits']);
if($ro['mem'] == 0){
echo')</small> <a href="/str/infos.php?id='.$ro['id'].'"><img src="/images/s.gif" alt="?"></a>';}else{echo')</small> <img src="/images/d.gif" alt="*">';}
echo'<div class="info">'.$ro['about'].'</div><div class="info">'.$row['text'].'<br>'.$row['name'].'</div>
<a href="/adm_panel/platforms.php?act=edit_sait&id='.$row['id_sait'].'">Редактировать</a> | Удалить <a href="/adm_panel/platforms.php?act=del_sait&id='.$row['id_sait'].'">сайт</a>/<a href="/adm_panel/complaint.php?act=del&id='.$row['id'].'">жалобу</a></div>';
							}
						navigation($count,$page_sait,$page,'adm_panel/complaint.php?',$total);
					}
				else
					{
						echo '<div class="main">';
						echo 'Нет Жалоб! <br/>';
						echo '</div>';
					}	
				break;
case 'del':
echo '<div class="title">Управление сообщениями</div>';
mysql_query("DELETE FROM `".$prefix."sait_comments` WHERE `id` = '".$id."'");

echo '<div class="stat">Сообщение успешно удалено<br/></div>';
break;
}
echo '<div class="t">
<a href="http://'.$_SERVER['HTTP_HOST'].'/adm_panel/complaint.php">К управлению жалобами</a><br/>
<a href="http://'.$_SERVER['HTTP_HOST'].'/adm_panel/index.php">В Админку</a></div>';
require_once('../str/foot.php');
?>
